package com.bcxin.ars.fingerPrint;

/**
 * 指纹采集实体类
 *
 * @author Wangjianchi
 */
public class FingerPrint {
    /**
     * 人员编号（23位）
     */
    private String personID;
    /**
     * 指纹编号（16位）
     */
    private String card_N;
    /**
     * 人员姓名（30位）
     */
    private String personName;
    /**
     * 别名（30位）
     */
    private String personAlias;
    /**
     * 出生日期（yyyyMMdd）
     */
    private String birthday;
    /**
     * 性别代码（1位）国标
     */
    private String sexCode;
    /**
     * 性别
     */
    private String sexName;
    /**
     * 国籍代码
     */
    private String countryCode;
    /**
     * 国籍
     */
    private String countryName;
    /**
     * 民族代码
     */
    private String nationCode;
    /**
     * 民族
     */
    private String nationName;
    /**
     * 居民身份证号
     */
    private String identityCardNum;
    /**
     * 其它证件类别代码（2位）
     */
    private String certifyTypeCode;
    /**
     * 其它证件类别
     */
    private String certifyTypeName;
    /**
     * 其它证件号码
     */
    private String certifyNum;
    /**
     * 户籍地行政区划代码
     */
    private String regAdminDivCode;
    /**
     * 户籍地行政区划
     */
    private String regAdminDivName;
    /**
     * 户籍地详址
     */
    private String regAddress;
    /**
     * 现住地行政区划代码（6位）
     */
    private String dwellAdminDivCode;
    /**
     * 现住地行政区划
     */
    private String dwellAdminDivName;
    /**
     * 现住地详址
     */
    private String dwellAddress;
    /**
     * 人员类别代码（2位）
     */
    private String personTypeCode;
    /**
     * 人员类别
     */
    private String personTypeName;
    /**
     * 案件类别代码1（6位）
     */
    private String caseType1Code;
    /**
     * 案件类别1
     */
    private String caseType1Name;
    /**
     * 案件类别代码2（6位）
     */
    private String caseType2Code;
    /**
     * 案件类别2
     */
    private String caseType2Name;
    /**
     * 案件类别代码3
     */
    private String caseType3Code;
    /**
     * 案件类别3
     */
    private String caseType3Name;
    /**
     * 前科标识代码0：不属于前科库人员，1：属于前科库人员
     */
    private String crimeRecordFlag;
    /**
     * 前科标识（256位）
     */
    private String crimeRecordFlagName;
    /**
     * 采集单位代码
     */
    private String scanUnitCode;
    /**
     * 采集单位名称
     */
    private String scanUnitName;

    /**
     * 采集民警姓名
     */
    private String scanPersonName;

    /**
     * 采集日期（yyyyMMdd）
     */
    private String scanDate;

    /**
     * 备注
     */
    private String remark;

    public String getPersonID() {
        return personID;
    }

    public void setPersonID(String personID) {
        this.personID = personID;
    }

    public String getCard_N() {
        return card_N;
    }

    public void setCard_N(String card_N) {
        this.card_N = card_N;
    }

    public String getPersonName() {
        return personName;
    }

    public void setPersonName(String personName) {
        this.personName = personName;
    }

    public String getPersonAlias() {
        return personAlias;
    }

    public void setPersonAlias(String personAlias) {
        this.personAlias = personAlias;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getSexCode() {
        return sexCode;
    }

    public void setSexCode(String sexCode) {
        this.sexCode = sexCode;
    }

    public String getSexName() {
        return sexName;
    }

    public void setSexName(String sexName) {
        this.sexName = sexName;
    }

    public String getCountryCode() {
        return countryCode;
    }

    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    public String getCountryName() {
        return countryName;
    }

    public void setCountryName(String countryName) {
        this.countryName = countryName;
    }

    public String getNationCode() {
        return nationCode;
    }

    public void setNationCode(String nationCode) {
        this.nationCode = nationCode;
    }

    public String getNationName() {
        return nationName;
    }

    public void setNationName(String nationName) {
        this.nationName = nationName;
    }

    public String getIdentityCardNum() {
        return identityCardNum;
    }

    public void setIdentityCardNum(String identityCardNum) {
        this.identityCardNum = identityCardNum;
    }

    public String getCertifyTypeCode() {
        return certifyTypeCode;
    }

    public void setCertifyTypeCode(String certifyTypeCode) {
        this.certifyTypeCode = certifyTypeCode;
    }

    public String getCertifyTypeName() {
        return certifyTypeName;
    }

    public void setCertifyTypeName(String certifyTypeName) {
        this.certifyTypeName = certifyTypeName;
    }

    public String getCertifyNum() {
        return certifyNum;
    }

    public void setCertifyNum(String certifyNum) {
        this.certifyNum = certifyNum;
    }

    public String getRegAdminDivCode() {
        return regAdminDivCode;
    }

    public void setRegAdminDivCode(String regAdminDivCode) {
        this.regAdminDivCode = regAdminDivCode;
    }

    public String getRegAdminDivName() {
        return regAdminDivName;
    }

    public void setRegAdminDivName(String regAdminDivName) {
        this.regAdminDivName = regAdminDivName;
    }

    public String getRegAddress() {
        return regAddress;
    }

    public void setRegAddress(String regAddress) {
        this.regAddress = regAddress;
    }

    public String getDwellAdminDivCode() {
        return dwellAdminDivCode;
    }

    public void setDwellAdminDivCode(String dwellAdminDivCode) {
        this.dwellAdminDivCode = dwellAdminDivCode;
    }

    public String getDwellAdminDivName() {
        return dwellAdminDivName;
    }

    public void setDwellAdminDivName(String dwellAdminDivName) {
        this.dwellAdminDivName = dwellAdminDivName;
    }

    public String getDwellAddress() {
        return dwellAddress;
    }

    public void setDwellAddress(String dwellAddress) {
        this.dwellAddress = dwellAddress;
    }

    public String getPersonTypeCode() {
        return personTypeCode;
    }

    public void setPersonTypeCode(String personTypeCode) {
        this.personTypeCode = personTypeCode;
    }

    public String getPersonTypeName() {
        return personTypeName;
    }

    public void setPersonTypeName(String personTypeName) {
        this.personTypeName = personTypeName;
    }

    public String getCaseType1Code() {
        return caseType1Code;
    }

    public void setCaseType1Code(String caseType1Code) {
        this.caseType1Code = caseType1Code;
    }

    public String getCaseType1Name() {
        return caseType1Name;
    }

    public void setCaseType1Name(String caseType1Name) {
        this.caseType1Name = caseType1Name;
    }

    public String getCaseType2Code() {
        return caseType2Code;
    }

    public void setCaseType2Code(String caseType2Code) {
        this.caseType2Code = caseType2Code;
    }

    public String getCaseType2Name() {
        return caseType2Name;
    }

    public void setCaseType2Name(String caseType2Name) {
        this.caseType2Name = caseType2Name;
    }

    public String getCaseType3Code() {
        return caseType3Code;
    }

    public void setCaseType3Code(String caseType3Code) {
        this.caseType3Code = caseType3Code;
    }

    public String getCaseType3Name() {
        return caseType3Name;
    }

    public void setCaseType3Name(String caseType3Name) {
        this.caseType3Name = caseType3Name;
    }

    public String getCrimeRecordFlag() {
        return crimeRecordFlag;
    }

    public void setCrimeRecordFlag(String crimeRecordFlag) {
        this.crimeRecordFlag = crimeRecordFlag;
    }

    public String getCrimeRecordFlagName() {
        return crimeRecordFlagName;
    }

    public void setCrimeRecordFlagName(String crimeRecordFlagName) {
        this.crimeRecordFlagName = crimeRecordFlagName;
    }

    public String getScanUnitCode() {
        return scanUnitCode;
    }

    public void setScanUnitCode(String scanUnitCode) {
        this.scanUnitCode = scanUnitCode;
    }

    public String getScanUnitName() {
        return scanUnitName;
    }

    public void setScanUnitName(String scanUnitName) {
        this.scanUnitName = scanUnitName;
    }

    public String getScanPersonName() {
        return scanPersonName;
    }

    public void setScanPersonName(String scanPersonName) {
        this.scanPersonName = scanPersonName;
    }

    public String getScanDate() {
        return scanDate;
    }

    public void setScanDate(String scanDate) {
        this.scanDate = scanDate;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }


    @Override
    public String toString() {
        return "FingerPrint{" +
                "personID='" + personID + '\'' +
                ",card_N='" + card_N + '\'' +
                ", personName='" + personName + '\'' +
                ", personAlias='" + personAlias + '\'' +
                ", birthday='" + birthday + '\'' +
                ", sexCode=" + sexCode +
                ", sexName='" + sexName + '\'' +
                ", countryCode='" + countryCode + '\'' +
                ", countryName='" + countryName + '\'' +
                ", nationCode='" + nationCode + '\'' +
                ", nationName='" + nationName + '\'' +
                ", identityCardNum='" + identityCardNum + '\'' +
                ", certifyTypeCode='" + certifyTypeCode + '\'' +
                ", certifyTypeName=" + certifyTypeName +
                ", certifyNum=" + certifyNum +
                ", regAdminDivCode=" + regAdminDivCode +
                ", regAdminDivName='" + regAdminDivName + '\'' +
                ", regAddress='" + regAddress + '\'' +
                ", dwellAdminDivCode='" + dwellAdminDivCode + '\'' +
                ", dwellAdminDivName='" + dwellAdminDivName + '\'' +
                ", dwellAddress='" + dwellAddress + '\'' +
                ", personTypeCode=" + personTypeCode +
                ", personTypeName='" + personTypeName + '\'' +
                ", caseType1Code=" + caseType1Code +
                ", caseType1Name=" + caseType1Name +
                ", caseType2Code=" + caseType2Code +
                ", caseType2Name=" + caseType2Name +
                ", caseType3Code=" + caseType3Code +
                ", caseType3Name=" + caseType3Name +
                ", crimeRecordFlag='" + crimeRecordFlag + '\'' +
                ", crimeRecordFlagName='" + crimeRecordFlagName + '\'' +
                ", scanUnitCode='" + scanUnitCode + '\'' +
                ", scanUnitName='" + scanUnitName + '\'' +
                ", scanPersonName='" + scanPersonName + '\'' +
                ", scanDate='" + scanDate + '\'' +
                ", remark='" + remark + '\'' +
                '}';
    }
}
